package com.yakindu.ea.examples.plugin;

import org.eclipse.core.runtime.IStatus;
import org.eclipse.core.runtime.Status;
import org.eclipse.ui.plugin.AbstractUIPlugin;
import org.osgi.framework.BundleContext;

/**
 * The activator class controls the plug-in life cycle
 */
public class EAExamplePlugin extends AbstractUIPlugin {

	// The plug-in ID
	public static final String PLUGIN_ID = "com.yakindu.ea.examples.plugin"; //$NON-NLS-1$

	// The shared instance
	private static EAExamplePlugin plugin;

	/**
	 * The constructor
	 */
	public EAExamplePlugin() {
	}

	@Override
	public void start(BundleContext context) throws Exception {
		super.start(context);
		plugin = this;
	}

	@Override
	public void stop(BundleContext context) throws Exception {
		plugin = null;
		super.stop(context);
	}

	/**
	 * Returns the shared instance
	 *
	 * @return the shared instance
	 */
	public static EAExamplePlugin getDefault() {
		return plugin;
	}

	public static void logWarning(String message, Exception e) {
		plugin.getLog().log(new Status(IStatus.WARNING, PLUGIN_ID, message, e));
	}

	public static void logError(String message, Exception e) {
		plugin.getLog().log(new Status(IStatus.ERROR, PLUGIN_ID, message, e));
	}

}
